/*
QUSOFT MICROSYSTMES
C Object Oriented Language

Classe: TString - Type String

Hirarchie:
TObject -> TString
*/

/**
 * La classe TString reprsente une chane de caractre.  Il est recommend d'instancier tous les
 * littraux (ex: "abc") en tant qu'objets de Type String pour en faciliter la manipulation.
  @since Release 1.0
*/
public class TString extends TObject {
/**La chaine de caractre (format ANSI)*/
public char[] string;

/**
 * Cette mthode gnre une chane de caractres vide ANSI.
 @param length Taille de la chane de caractres.
 @return string - La chane de caractres.
 @since Release 1.0
*/
public static String generateEmptyString (long length) {
	
	return "";
}

/**
 * Cette mthode concatne deux chanes de caractres ANSI.
 @param string0 La premire chane de caractres.
 @param string1 La deuxime chane de caractres.
 @return string - La chane de caractres concatne.
 @since Release 1.0
*/
public static String concatenateString (String string0, String string1) {
	
	return "";
}

/**
 * Cette mthode copie une chane de caractres ANSI.
 @param string La chane de caractre  copier.
 @return copy - La copie de la chane.
 @since Release 1.0
*/
public static String duplicateString (String string) {
	
	return "";
}

/**
 * Cette mthode gnre une chane de caractres ANSI  partir d'un
 * vecteur de caractres.
 @param charArray Le vecteur de caractres.
 @param offset L'index du premier caractre  copier.
 @param count Le nombre de caractres  copier.
 @return string - La chane de caractres.
 @since Release 1.0
*/
public static String copyValueOf0 (char[] charArray, long offset, long count) {

	return "";
}

/**
 * Cette mthode gnre une chane de caractres ANSI  partir d'un
 * vecteur de caractres.
 @param charArray Le vecteur de caractres.
 @param length Le nombre de caractres  copier.
 @return string - La chane de caractres.
 @since Release 1.0
*/
public static String copyValueOf1 (char[] charArray, long length) {

	return "";
}

/**
 * Cette mthode gnre un objet de Type String  partir d'un vecteur de caractres.
 @param charArray Le vecteur de caractres.
 @param offset L'index du premier caractre  copier.
 @param count Le nombre de caractres  copier.
 @return string - La chane de caractres.
 @since Release 1.0
*/
public static TString valueOf0 (char[] charArray, long offset, long count) {

	return new TString();
}

/**
 * Cette mthode gnre un objet de Type String  partir d'un vecteur de caractres.
 @param charArray Le vecteur de caractres.
 @param length La taille du vecteur.
 @return string - La chane de caractres.
 @since Release 1.0
*/
public static TString valueOf1 (char[] charArray, long length) {

	return new TString();
}

/**
 * Ce constructeur instancie un objet de Type String.
 @since Release 1.0
*/
public TString TString0 () {

	return new String();
}

/**
 * Ce constructeur instancie un objet de Type String  partir d'un autre objet de Type String.
 @param string0 L'objet utilis pour initialiser la chane de caractres (avec la valeur que retournera toString).
 @since Release 1.0
*/
public TString TString1 (TString string) {
	
	return new TString(); 
}

/**
 * Ce constructeur instancie un objet de Type String  partir d'un groupe d'objets.
 @param num Le nombre d'objets utiliss pour initialiser la chane de caractres.
 @since Release 1.0
*/
public TString TString2 (long num, TObject ellipse) {
	
	
	return new TString();
}

/**
 * Ce constructeur instancie un objet de Type String  partir d'une chane de caractres.
 @param string La chane de caractres ANSI.
 @since Release 1.0
*/
public TString TString3 (String string) {
	
	return new String();
}

/**
 * Ce constructeur instancie un objet de Type String  partir d'un groupe de chaines de
 * caractres ANSI.
 @param num Le nombre de chanes de caractres utilises.
 @since Release 1.0
*/
public TString TString4 (long num, String ellipse) {
	
	return new TString();
}

/**
 * Ce constructeur instancie un objet de Type String  partir d'un vecteur de caractres.
 @param charArray Le vecteur de caractres.
 @param length Le nombre de caractres  copier.
 @since Release 1.0
*/
public TString TString5 (char[] charArray, long length) {
	
	return new String();
}

/**
 * Cette mthode retourne une chane de caractres reprsentant l'objet.
 * Dans le cas d'un objet de Type String, elle se retourne elle-mme.
 @return string - La chane de caractre reprsentant l'objet.
 @since Release 1.0
*/
public TString toString () {
	
	return new TString();
}

/**
 * Cette mthode libre l'espace mmoire occupe par l'objet, dtruisant ce dernier.
 @since Release 1.0
*/
public void finalize () {
}

/**
 * Cette mthode retourne la longueur de la chane de caractre.
 @return length - La longueur de la chane de caractres.
 @since Release 1.0
*/
public long length () {

	
	return 0;
}

/**
 * Cette mthode compare deux chanes de caractres lexicographiquement.
 @param anotherString La chane  comparer.
 @return result - Vrai si les deux chanes sont lexicographiquement identiques.
 @since Release 1.0
*/
public boolean compareTo (TString string) {
	
	return false;
}

/**
 * Cette mthode compare l'objet  un autre objet pour tablir une galit.
 * Dans le cas d'un objet de Type String, la comparaison se fait lexicographiquement.
 @param anotherString L'objet  comparer.
 @return result - Vrai si les deux chanes de caractres sont lexicographiquement identiques.
 @since Release 1.0
*/
public boolean equals (TString anotherString) {
	
	return false;
}

/**
 * Cette mthode retourne un objet de Type String qui est une copie de l'objet.
 @return clone - Une copie de l'objet.
 @since Release 1.0
*/
public TString clone () {
	
	return new TString();
}

/**
 * Cette mthode retourne le caractre  l'index spcifi.  L'index varie de 0  length() - 1.
 @param index L'index.
 @return character - Le caractre  l'index spcifi(NULL si l'index est invalide).
 @since Release 1.0
*/
public char charAt (long index) {
	
	return ' ';
}

/**
 * Cette mthode concatne deux objets de Type String.
 @param anotherString La chane  concatner.
 @return string - La nouvelle chane.
 @since Release 1.0
*/
public TString concat (TString string) {
	
	return new String();
}

/**
 * Cette mthode retourne l'index de la premire occurence de la chane spcifie dans la chane
 * de caractres  partir de l'index spcifi.
 @param anotherString La chane de caractres.
 @param index L'index d'o commencer.
 @return result - L'index de la premire occurence de la chane de caractres spcifie.
 @since Release 1.0
*/
public long indexOf0 (TString string, long index) {
	
	return 0;
}

/**
 * Cette mthode retourne l'index de la premire occurence de la chane spcifie dans la chane
 * de caractres.
 @param anotherString La chane de caractres.
 @return result - L'index de la premire occurence de la chane de caractres spcifie.
 @since Release 1.0
*/
public long indexOf1 (TString string) {
	
	return 0;
}

/**
 * Cette mthode vrifie si la chane de caractres se termine avec le suffixe spcifi.
 @param suffix Le sufixe.
 @return result - Vrai si la chane de caractres se termine avec le suffixe spcifi.
 @since Release 1.0
*/
public boolean endsWith (TString string) {

	return false;
}

/**
 * Cette mthode change la case de la chane de caractres pour des minuscules.
 @return string - La chane de caractres en minuscule.
 @since Release 1.0
*/
public TString toLowerCase () {
	
	return new TString();
}

/**
 * Cette mthode change la case de la chane de caractres pour des majuscules.
 @return string - La chane de caractres en majuscule.
 @since Release 1.0
*/
public TString toUpperCase () {
	
	return new TString();
}

/**
 * Cette mthode compare lexicographiquement une rgion de la chane de caractres avec 
 * celle d'une autre chane de caractres.
 @param ignoreCase Spcifie s'il faut ignorer la case.
 @param toffset L'index du dbut de la rgion  comparer de cette chane.
 @param anotherString La chane  comparer.
 @param ooffset L'index du dbut de la rgion  comparer de l'autre chane.
 @param length La taille des rgions  comparer.
 @return result - Vrai si les rgions sont lexicographiquement identiques.
 @since Release 1.0
*/
public boolean regionMatches0 (boolean ignoreCase, long toffset, TString string, long ooffset, long length) {

	
	return false;
}

/**
 * Cette mthode compare lexicographiquement une rgion de la chane de caractres avec 
 * celle d'une autre chane de caractres.
 @param toffset L'index du dbut de la rgion  comparer de cette chane.
 @param anotherString La chane  comparer.
 @param ooffset L'index du dbut de la rgion  comparer de l'autre chane.
 @param length La taille des rgions  comparer.
 @return result - Vrai si les rgions sont lexicographiquement identiques.
 @since Release 1.0
*/
public boolean regionMatches1 (long toffset, TString anotherString, long ooffset, long length) {
	
	return false;
}

/**
 * Cette mthode compare lexicographiquement la chane de caractres avec une autre
 * chane de caractres, mais en ignorant la case.
 @param anotherString La chane  comparer.
 @return result - Vrai si les chanes sont lexicographiquement identiques.
 @since Release 1.0
*/
public boolean equalsIgnoreCase (TString string) {
	
	return false;
}

/**
 * Cette mthode copie les caractres de la chane de caractre vers un vecteur de caractres.
 @param srcBegin Index du premier caractre  copier.
 @param srcEnd Index du dernier caractre  copier.
 @param dst Vecteur de caractres de destination.
 @param dstBegin Index du sous-vecteur de caractres.
*/
public void getChars (long srcBegin, long srcEnd, char[] dst, long dstBegin) {
}

/**
 * Cette mthode retourne l'index de la dernire occurence de la chane spcifie dans la chane
 * de caractres cherchant  reculon  partir de l'index spcifi.
 @param anotherString La chane de caractres.
 @param index L'index d'o commencer.
 @return result - L'index de la dernire occurence de la chane de caractres spcifie.
 @since Release 1.0
*/
public long lastIndexOf0 (TString string, long index) {

	return 0;
}

/**
 * Cette mthode retourne l'index de la dernire occurence de la chane spcifie dans la chane
 * de caractres cherchant  reculon  partir de l'index spcifi.
 @param anotherString La chane de caractres.
 @param index L'index d'o commencer.
 @return result - L'index de la dernire occurence de la chane de caractres spcifie.
 @since Release 1.0
*/
public long lastIndexOf1 (TString string) {

	return new TString();
}

/**
 * Cette mthode remplace toutes les occurences du caractre spcifi dans la chane de
 * caractres par un caractre spcifi.
 @param oldChar Le caractre  remplacer.
 @param newChar Le caractre remplaant.
 @return string - La chane de caractres modifie.
 @since Release 1.0
*/
public TString replace (char oldChar, char newChar) {
	
	return new TString();
}

/**
 * Cette mthode vrifie si la chane de caractres commence avec le prfixe spcifi.
 @param prefix Le prfixe.
 @param offset D'o commencer.
 @return result - Vrai si la chane de caractres commence avec le prfixe spcifi.
 @since Release 1.0
*/
public boolean startsWith0 (TString string, long offset) {
	
	return false;
}

/**
 * Cette mthode vrifie si la chane de caractres commence avec le prfixe spcifi.
 @param prefix Le prfixe.
 @return result - Vrai si la chane de caractres commence avec le prfixe spcifi.
 @since Release 1.0
*/
public boolean startsWith1 (TString string) {
	
	return false;
}

/**
 * Cette mthode retourne la sous-chane de caractres dlimit par les index spcifis.
 @param beginIndex L'index o commence la sous-chane.
 @param endIndex L'index o finit la sous-chane.
 @return substring - La sous-chane de caractres.
 @since Release 1.0
*/
public TString substring0 (long beginIndex, long endIndex) {
	
	
	return new TString();
}

/**
 * Cette mthode retourne la sous-chane de caractres commenant par l'index spcifi.
 @param beginIndex L'index o commence la sous-chane.
 @return substring - La sous-chane de caractres.
 @since Release 1.0
*/
public TString substring1	(long beginIndex) {
	
	return new TString();
}

/**
 * Cette mthode retourne un vecteur de caractres compos des caractres de la chane de
 * caractres.
 @return array - Le vecteur de caractres.
 @since Release 1.0
*/
public char[] toCharArray () {
		
	return "";
}

/**
 * Cette mthode enlve les espaces des deux cts de la chane de caractres.
 @return string - La chane modifie.
 @since Release 1.0
*/
public TString trim () {

	return new TString();
}
}